1. Crypto Refund
v2.0 (Production)
  • v2.0 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • Getting Started
  • Account Setup
  • Webhook
  • Idempotent Requests
  • API Error Handling Guide
  • Authentication
    • Authentication
    • Get Token
      POST
  • Account Management
    • Get Balance
      GET
    • Internal Transfer
      POST
    • Get Internal Transfer
      GET
    • Get Settlement Statement
      GET
  • Merchant Management
    • [Recommended] Create Merchant
    • [Recommended] Get Merchant
    • [Recommended] Merchant Status Webhook
    • Merchant Status Webhook
  • Fiat Payment
    • Fiat Account Management
      • Get Fiat Account Capabilities
      • Create Fiat Account Request
      • Submit Additional Information for Fiat Account Request
      • Get Fiat Account Application Status
      • Fiat Account Request Status Webhook
      • Fiat Account Application Status Webhook
      • Add Bank Account
      • Get Bank Accounts
    • Fiat Deposit
      • Get Deposit Bank Account
      • Get Fiat Deposit Detail
      • Get Fiat Deposit History
      • Fiat Deposit Webhook
    • Fiat Withdrawal
      • Get Same Name Withdrawal Capabilities
      • Activate Same Name Withdrawal
      • Submit Additional Information for Activating Same Name Withdrawal
      • Activate Same Name Withdrawal Webhook
      • Create Fiat Withdrawal
      • Submit Additional Information for Fiat Withdrawal Request
      • Get Fiat Withdrawal Detail
      • Get Fiat Withdrawal History
      • Fiat Withdrawal Webhook
  • Crypto Payment
    • Crypto Checkout
      • Create Crypto Checkout
      • Create Crypto Checkout Link
      • Crypto Checkout Wallet Connection
      • Generate POS Payment Request
      • Close Crypto Checkout
      • Get Convertible Cryptos
      • Get Crypto Checkout
      • Get Crypto Checkout Link
      • Get Crypto Checkout Currencies
      • Crypto Checkout Webhook
    • Crypto Deposit
      • Update Crypto Deposit Travel Rule Info
      • Get Crypto Deposit Wallet
      • Get Crypto Deposit
      • Get Crypto Deposit History
      • Crypto Deposit Webhook
    • Crypto Withdrawal
      • Register Wallet Address
      • Remove Wallet Address
      • Create Crypto Withdrawal
      • Get Wallet Address
      • Get Crypto Withdrawal
      • Get Crypto Withdrawal History
      • Crypto Withdrawal Webhook
    • Crypto Collection
      • Buyer Management
        • Create Buyer
        • Get Buyer
        • Update Buyer
        • Buyer Status Webhook
      • Create Collection Wallet
      • Update Collection Wallet
      • Get Collection Wallet
      • Get Crypto Collection
      • Update Co-KYT status
      • Crypto Collection Wallet Webhook
      • Crypto Collection Webhook
    • Crypto Refund
      • Create Crypto Refund
        POST
      • Confirm Crypto Refund
        POST
      • Get Crypto Refund
        GET
      • Crypto Refund Webhook
        POST
    • Currency & Blockchain
      • Get Supported Blockchains
  • Conversion
    • Create Quotation
    • Create Conversion
    • Get Quotation
    • Get Conversion
    • Conversion Webhook
  • Tools
    • [Recommended] Upload File
      POST
    • [Deprecated] Upload File
      POST
    • getTnC
      GET
  • Release Note
    • Version 1.0 Release Note
    • Version 1.0.1 Release Note
    • Version 1.0.2 Release Note
    • Version 1.0.3 Release Note
    • Version 1.0.4 Release Note
  • Deprecated APIs
    • Deprecated
      • [Deprecated] Create Fiat Account Application(v1.0)
      • [Deprecated] Get Fiat Account Application Status(v1.0)
      • [Deprecated] Fiat Account Application Status Webhook(v1.0)
    • (Deprecated)Withdrawal
      • Create Withdrawal Request
      • Get Withdrawal Detail
      • Get Withdrawal History
      • Create Third Party Withdrawal Request
    • (Deprecated)Deposit
      • Get Deposit Detail
      • (Deprecated)Get Deposit Bank Account
      • Get Deposit Wallet
      • Get Deposit History
    • (Deprecated) Payment
      • Create Payment Request
      • Get Payment Request
      • Get List of Supported Currencies for Payment Link Generation
      • Get Payment Wallet Address
    • (Deprecated) OTC Trading
      • (Deprecated)Get Quote
      • (Deprecated)Create OTC Trading
      • (Deprecated)Get Trade Detail
      • (Deprecated)Get Trade History
    • (Deprecated) Account Management
      • (Deprecated) Get Balance
      • (deprecated) Get Statement
      • (Deprecated) Internal Transfer
    • (Deprecated) Address Book
      • (Deprecated)Add Bank Account
      • (Deprecated)Get Bank Accounts
    • (Deprecated) Merchant Management
      • (Deprecated)Create End User Account
    • Deprecated
      • [Deprecated] Get List of Currencies that Supports Same-Name Withdrawal
      • [Deprecated] Create Fiat Withdrawal(v1.0)
      • [Deprecated] Get Fiat Withdrawal Detail(v1.0)
      • [Deprecated] Get Fiat Withdrawal History(v1.0)
      • Fiat Withdrawal Webhook
    • Deprecated
      • [Deprecated] Create Merchant(v1.0)
      • [Deprecated] Get Merchant(v1.0)
      • [Deprecated] Merchant Status Webhook(v1.0)
    • (Deprecated) Intra Account Sweep
  1. Crypto Refund

Create Crypto Refund

POST
/v1.0/payment/crypto/createCryptoRefund
API Overview
ItemValue
API StatusStable
Current Versionv1.0
Backward CompatibilityNo
Applicable EnvironmentProduction

Description
When an incoming crypto payment is flagged as high-risk by our KYT scoring engine, the payment will be placed in a pending-refund state. A webhook containing the KYT result will be sent to the client.
To initiate a refund for this payment, the client must call this endpoint and provide the original transaction type and transaction ID.
If a pending refund exists for the specified payment, a Refund ID will be created and returned.
If no pending refund is available, an error will be returned.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/json

Example
{
    "originalTransactionType": 1,
    "originalTransactionId": "string",
    "clientReference": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v1.0/payment/crypto/createCryptoRefund' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "originalTransactionType": 1,
    "originalTransactionId": "string",
    "clientReference": "string"
}'

Responses

🟢200Success
application/json
Body

Example
{
    "code": "string",
    "msg": "string",
    "data": {
        "cryptoRefundId": "string",
        "originalTransactionType": 1,
        "originalTransactionId": "string",
        "participantCode": "string",
        "clientReference": "string",
        "status": 1,
        "blockchain": "string",
        "currency": "string",
        "amount": "string",
        "feeCurrency": "string",
        "feeAmount": "string",
        "txnHash": "string"
    }
}
Modified at 2026-03-20 15:08:50
Previous
Crypto Collection Webhook
Next
Confirm Crypto Refund
Built with